<template>
    <div v-show="show" class="modal-backdrop">
        <div :style="{ width: width, 'min-width': minWidth }" class="modal">
            <div v-if="$slots.header" class="modal-header">
                <slot name="header"></slot>
                <button class="close center-y" data-dismiss="modal" type="button" @click="close">
                    <span>x</span>
                </button>
            </div>
            <div class="modal-body">
                <slot name="body"></slot>
            </div>
            <div v-if="$slots.footer" class="modal-footer">
                <slot name="footer"></slot>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "modal-component",
    props: {
        width: {
            type: String,
            default: '20%'
        },
        minWidth: {
            type: String,
            default: '36rem'
        }
    },
    data: function () {
        return {
            show: false
        };
    },
    methods: {
        open() {
            this.$emit('open');
            this.show = true;
        },
        close() {
            this.$emit('close');
            this.show = false;
        }
    }
}
</script>

<style lang="scss">
@import "../../assets/styles/base/_modal";
</style>
